// This event is fired each time the user updates the text in the omnibox,
// as long as the extension's keyword mode is still active.

chrome.omnibox.onInputChanged.addListener(
  function(text, suggest) {
    console.log('inputChanged: ' + text);
    suggest([
      {content: text + " one", description: "the first one"},
      {content: text + " number two", description: "the second entry"}
    ]);
  });

function checkIfUrlIsValid(url){
	var pattern = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
	if (pattern.test(url))
       return true;
    return false;
 }
 
function omni_box(text){
	var storage=chrome.storage.local;
	storage.get('urls', function(items) {
    // To avoid checking items.css we could specify storage.get({css: ''}) to
    // return a default value of '' if there is no css value yet.
    if (items.urls) {
		var array = JSON.parse(items.urls);
		array.push(text);
		var urlArray=JSON.stringify(array);
		storage.set({'urls': urlArray}, function() {
		// Notify that we saved.
		alert('Urls saved');
		});
	}else
	{
		var array=[];
		array.push(text);
		var urlArray=JSON.stringify(array);
		storage.set({'urls': urlArray}, function() {
		// Notify that we saved.
		alert('Urls saved');
		});
	}
	});
}

// This event is fired with the user accepts the input in the omnibox.
chrome.omnibox.onInputEntered.addListener(
  function(text) {
  if(checkIfUrlIsValid(text))
    omni_box(text);
	else
	alert("Enter valid url");
  });
  
// Called when the user clicks on the browser action.
chrome.browserAction.onClicked.addListener(function(tab) {
	var storage=chrome.storage.local;
	storage.get('urls', function(items) {
    // To avoid checking items.css we could specify storage.get({css: ''}) to
    // return a default value of '' if there is no css value yet.
    if (items.urls) {
	  var array = JSON.parse(items.urls);
	  var i;
	  for(i=0;i<array.length;i++)
	  {
		window.open(array[i],'_blank');
	  }
    }
  });
});


	

