var storage=chrome.storage.local;
var addButton,deleteButton,saveButton;

function checkIfUrlIsValid(url){
	var pattern = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
	if (pattern.test(url))
       return true;
    return false;

 }


function add_option(){
	var entity=document.getElementById("selections");
	var text_input=document.getElementById("url");
	var option=document.createElement("option");
	option.text=text_input.value;
	if(checkIfUrlIsValid(text_input.value))
	{
	if(text_input.value!=null)//check for valid url
	entity.add(option,null);
	text_input.value='';
	}
	else
	alert("Enter valid url");
}

function remove_option(){
	var entity=document.getElementById("selections");
	entity.remove(entity.selectedIndex);
}

function save_pages(){
	var entity=document.getElementById("selections");
	var options=[];
	var i;
	for(i=0;i<entity.length;i++)
	options.push(entity.options[i].text);
	// Save it using the Chrome extension storage API.
	if(entity.length>0)
	{
		var urlArray=JSON.stringify(options);
		storage.set({'urls': urlArray}, function() {
		// Notify that we saved.
		alert('Urls saved');
		});
	}
}

function load_options(){
	storage.get('urls', function(items) {
    // To avoid checking items.css we could specify storage.get({css: ''}) to
    // return a default value of '' if there is no css value yet.
    if (items.urls) {
	  var array = JSON.parse(items.urls);
      var entity=document.getElementById("selections");
	  var i;
	  for(i=0;i<array.length;i++)
	  {
		var option=document.createElement("option");
		option.text=array[i];
		if(array[i]!='')
		entity.add(option,null);
	  }
    }
  });
}

function init(){
	addButton=document.getElementById("add");
	addButton.addEventListener("click",add_option,false);
	deleteButton=document.getElementById("delete");
	deleteButton.addEventListener("click",remove_option,false);	
	saveButton=document.getElementById("save");
	saveButton.addEventListener("click",save_pages,false);
	load_options();
}

window.onload=init;